Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util
Class TmpDirTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.archive.util.TmpDirTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  QueueTestBase, SettingsFrameworkTestCase

    public abstract class TmpDirTestCase

extends junit.framework.TestCase

Base class for TestCases that want access to a tmp dir for the writing of files.

Author:
  stack

Constructor Summary
`TmpDirTestCase()`
`TmpDirTestCase(java.lang.String testName)`

Method Summary
`void` | `cleanUpOldFiles(java.io.File basedir, java.lang.String prefix)` Delete any files left over from previous run.
`void` | `cleanUpOldFiles(java.lang.String basename)` Delete any files left over from previous run.
`java.io.File` | `getTmpDir()`
`protected void` | `setUp()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TmpDirTestCase

    public TmpDirTestCase()

### TmpDirTestCase

    public TmpDirTestCase(java.lang.String testName)

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### getTmpDir

    public java.io.File getTmpDir()

  Returns:
    Returns the tmpDir.

### cleanUpOldFiles

    public void cleanUpOldFiles(java.lang.String basename)

  Delete any files left over from previous run.

  Parameters:
    `basename` - Base name of files we're to clean up.

### cleanUpOldFiles

    public void cleanUpOldFiles(java.io.File basedir,
                                java.lang.String prefix)

  Delete any files left over from previous run.

  Parameters:
    `prefix` - Base name of files we're to clean up.
    `basedir` - Directory to start cleaning in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.